#include <amxmodx>
#include <amxmisc>
#include <csstats>

new cvar_ranks, cvar_flags

public plugin_init()
{
	register_plugin("Top Awards", "0.1", "SimonLogic/RoleX")
	cvar_ranks = register_cvar("amx_top_ranks", "5")
	cvar_flags = register_cvar("amx_top_flags", "b")
}

public client_putinserver(id) set_task(5.0, "stats", id)

public stats(id)
{
	new stats[8], bodyhits[8], string1[16], string2[16]
	get_pcvar_string(cvar_flags, string1, 15)
	get_pcvar_string(cvar_ranks, string2, 15)
	new iRank = get_user_stats(id, stats, bodyhits)
	new flags = read_flags(string1)
	new ranks = str_to_num(string2)

	new old_flags = get_user_flags(id)

	if(old_flags & ADMIN_KICK)
	{
		return PLUGIN_HANDLED
	}
	else
	{
		if(1 <= iRank <= ranks)
		{
			if(old_flags & ADMIN_RESERVATION)
			{
				return PLUGIN_HANDLED
			}
			else
			{
				new r = (random_num(0, 200) + 25), g = (random_num(0, 200) + 25), b = (random_num(0, 200) + 25)
				set_hudmessage(r, g, b, -1.0, 0.75, 0, 5.0, 10.0)
				show_hudmessage(id, "Now you are TOP!")
				set_user_flags(id, old_flags | flags)
			}
		}
		else
		{
			remove_user_flags(id, flags)
		}
	}
	return PLUGIN_CONTINUE
}
